<?php

/**
 * @file
 * Admin setting form for Domain wise aggregation and compression of css/js.
 */

/**
 * Domain wise aggregate/compress admin setting form.
 */
function domain_aggregate_compress_domain_form($form, $form_state, $domain_id = NULL) {
  $result = array();
  $css_optimization_status = "";
  $js_optimization_status = "";
  $domain_id_value = $domain_id;
  $query = db_select('domain_aggregate_compress', 'aadv');
  $query->fields('aadv', array('css_optimization_status', 'js_optimization_status'));
  $query->condition('aadv.domain_id', $domain_id_value);
  $resultset = $query->execute();
  $result = $resultset->fetchAll();
  if (count($result) > 0 && !empty($result)) {
    foreach ($result as $value) {
      $css_optimization_status = $value->css_optimization_status;
      $js_optimization_status = $value->js_optimization_status;
    }
  }
  $form['contents'] = array(
    'css_optimization_status' => array(
      '#type' => 'checkbox',
      '#default_value' => isset($form_state['values']['css_optimization_status']) ? $form_state['values']['css_optimization_status'] : $css_optimization_status,
      '#title' => t('Aggregate and Compress css files'),
    ),
    'js_optimization_status' => array(
      '#type' => 'checkbox',
      '#default_value' => isset($form_state['values']['js_optimization_status']) ? $form_state['values']['js_optimization_status'] : $js_optimization_status,
      '#title' => t('Aggregate and Compress js files'),
    ),
    'domain_id' => array(
      '#type' => 'hidden',
      '#value' => $domain_id_value,
    ),
  );
  $form['actions'] = array(
    '#type' => 'actions',
    '#attributes' => array('class' => array('container-inline')),
  );
  $counter = "";
  $counter = $resultset->rowCount();
  if ($counter > 0) {
    $form['actions']['update'] = array(
      '#type' => 'submit',
      '#weight' => 5,
      '#value' => t('Update'),
    );
  }
  else {
    $form['actions']['save'] = array(
      '#type' => 'submit',
      '#weight' => 5,
      '#value' => t('Save'),
    );
  }
  return $form;
}

/**
 * Domain wise aggregate/compress admin setting form submit.
 */
function domain_aggregate_compress_domain_form_submit($form, $form_state) {
  switch ($form_state['values']['op']) {
    case t('Save'):
      db_insert('domain_aggregate_compress')->fields(array(
        'domain_id' => $form_state['values']['domain_id'],
        'css_optimization_status' => $form_state['values']['css_optimization_status'],
        'js_optimization_status' => $form_state['values']['js_optimization_status'],
      ))->execute();
      break;

    case t('Update'):
      db_update('domain_aggregate_compress')->fields(array(
        'css_optimization_status' => $form_state['values']['css_optimization_status'],
        'js_optimization_status' => $form_state['values']['js_optimization_status'],
      ))->condition('domain_id', $form_state['values']['domain_id'])->execute();
      break;
  }
  $returl = 'admin/structure/domain/view/' . $form_state['values']['domain_id'] . '/domain_aggregate_compress';
  drupal_goto($returl);
}
